MS KB2957151: Update for Vulnerabilities in Adobe Flash Player in Internet Explorer

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote host has an ActiveX control installed that is affected by
multiple vulnerabilities.

Description :

The remote host is missing KB2957151. It is, therefore, affected by
multiple vulnerabilities :

- An unspecified use-after-free vulnerability exists that
could allow for the execution of arbitrary code.
(CVE-2014-0510)

- An unspecified vulnerability exists that could be used
to bypass the same origin policy. (CVE-2014-0516)

- Multiple, unspecified security bypass vulnerabilities
exist. (CVE-2014-0517, CVE-2014-0518, CVE-2014-0519,
CVE-2014-0520)

See also :

http://www.pwn2own.com/2014/03/pwn2own-results-thursday-day-two/
https://helpx.adobe.com/security/products/flash-player/apsb14-14.html
https://technet.microsoft.com/en-us/library/security/2755801
https://support.microsoft.com/kb/2957151

Solution :

Install Microsoft KB2957151.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now